Skip to main content

Live & Schedule (7 endpoints)

Live Games

GET /api/live
Curated live games with teams, scores, and half info.

Live (All)

GET /api/live/all
Raw live data for all handball games.

Today’s Games

GET /api/today

Schedule by Date

GET /api/schedule/:date
Date format: YYYY-MM-DD. Example: GET /api/schedule/2026-03-12

Live Tournaments

GET /api/live-tournaments
Leagues with live games right now.

Scheduled Tournaments

GET /api/scheduled-tournaments/:date
Leagues with games on a specific date.

Newly Added Events

GET /api/newly-added-events

Response Example — /api/live

{
  "events": [
    {
      "id": 12345678,
      "homeTeam": { "id": 2104, "name": "FC Barcelona" },
      "awayTeam": { "id": 2105, "name": "THW Kiel" },
      "homeScore": {
        "current": 28,
        "display": 28,
        "period1": 14,
        "period2": 14
      },
      "awayScore": {
        "current": 25,
        "display": 25,
        "period1": 12,
        "period2": 13
      },
      "status": { "code": 7, "description": "2nd Half", "type": "inprogress" },
      "tournament": { "name": "EHF Champions League", "id": 149 },
      "startTimestamp": 1737331200
    }
  ]
}

Score Fields

FieldDescription
period11st half goals
period22nd half goals
overtimeExtra time goals (if applicable)
currentTotal goals

Status Codes

CodeDescription
0Not started
61st Half
72nd Half
31Halftime
40Overtime
100Ended

Search & Discovery (7 endpoints)

GET /api/search?q=barcelona
Search teams, players, and tournaments.

Countries / Categories

GET /api/countries
Handball categories and countries (36 categories).

Countries (Extended)

GET /api/countries/all

Category Tournaments

GET /api/categories/:categoryId/tournaments
Leagues in a country/category.
GET /api/trending-players

Handball News

GET /api/news?lang=en

Country Flag

GET /api/country/:code/flag
Last modified on April 12, 2026